image: node:16-alpine


before_script:
  - corepack enable
  - yarn config set enableImmutableInstalls 0
  - yarn plugin import version
  - yarn --version

cache:
  paths:
    - .yarn

stages:
  - test
  - release

test:
  stage: test
  cache:
    paths:
    - node_modules/
    - .yarn
  script:
      - yarn install
      - yarn build
      - yarn test
      - yarn test:build

release:
  stage: release
  script:
    - yarn install
    - yarn prepublishOnly
    - "echo npmAuthToken: $NPM_TOKEN >> .yarnrc.yml"
    - yarn npm publish
  only:
    - tags
